static void Main(string[] args)
        {
            var unos = Console.ReadLine();
            var vrednosti = unos.Split(" ");
             int N = int.Parse(vrednosti[0]);
            int Q = int.Parse(vrednosti[1]);
            int[] A = new int[N];
            int[] B = new int[Q];


            var unosNiza = Console.ReadLine();
            var vrednostiNiza = unosNiza.Split(" ");
            for (int i = 0; i < A.Length; i++)
            {
                A[i] = int.Parse(vrednostiNiza[i]);
            }

             int n = niz.Length;

            for (int i = 0; i < n - 1; i++)
            {
                for (int j = 0; j < n - i - 1; j++)
                {
                    if (niz[j] > niz[j + 1])
                    {
                        int t = niz[j];
                        niz[j] = niz[j + 1];
                        niz[j + 1] = t;
                    }
                }
            }

            var unosNizaB = Console.ReadLine();
            var vrednostiNizaB = unosNizaB.Split(" ");
            for (int i = 0; i < B.Length; i++)
            {
                B[i] = int.Parse(vrednostiNizaB[i]);
            }

            int indexMediane =N / 2;
            int mediane = A[indexMediane];

            for (int i = 0; i < Q; i++)
            {
                int br = 0;
            int brr = 1;
            if (mediane == Q) return 0;

            while(mediane != Q)
            {
                int[] AA = new int[A.Length + brr];
                for (int i = 0; i < A.Length; i++)
                {
                    AA[i] = A[i];
                    
                }
                for (int i = A.Length; i < A.Length+brr-1; i++)
                {
                    AA[i] = Q;
                }

                br++;
                if (AA[AA.Length / 2] == Q) mediane = AA[AA.Length/2];

                brr++;
            }
            return br;
            }

            Console.ReadLine();
        }